from django import forms
from .models import Participant

class ParticipantForm(forms.ModelForm):
    class Meta:
        model   = Participant
        fields  = ["group_name","R_diff","L_diff","Ph_diff","Pcu_diff","s_vol_over_eta"]
        widgets = {f: forms.NumberInput(attrs={"step": "0.1", "class": "input"}) 
                   for f in fields if f!="group_name"}
        widgets["group_name"]= forms.TextInput(attrs={"class":"input"})
